Search found 36 matches

Go to advanced search

by l3VGV
Sun Feb 09, 2020 9:25 am
Forum: Help on using FreeCAD
Topic: Theoretical question - why its not possible to Loft from Face to Face
Replies: 13
Views: 485

Theoretical question - why its not possible to Loft from Face to Face

Hello. Im continue learning FreeCad, now not only 0.18 but also 0.19 pre, thanks to reworked Draft workbench. What i cannot understand is, why it is not possible to loft(part design one) two faces just selected from two parts directly, without alot of additional steps. I know that i can create faceb...
by l3VGV
Sun Feb 02, 2020 4:25 pm
Forum: Python scripting and macros
Topic: How to add vertex to a Surface from macro
Replies: 2
Views: 132

Re: How to add vertex to a Surface from macro

Chris_G wrote:
Sun Feb 02, 2020 9:08 am
You must copy it to a temp list, do your stuff, and reassign the list as a whole
Thank you, that worked.

But, putting 4k+ points into a Surface was a bit too much.
by l3VGV
Sat Feb 01, 2020 7:23 pm
Forum: Python scripting and macros
Topic: How to add vertex to a Surface from macro
Replies: 2
Views: 132

How to add vertex to a Surface from macro

Im trying to manipulate Surface object from SurfaceWB, i want to add and remove vertexes from my script. I found FreeCAD.ActiveDocument.Surface002.Points list, but ther is no reaction to clear() or for p in FreeCAD.ActiveDocument.Surface002.Points: FreeCAD.ActiveDocument.Surface002.Points.remove(p) ...
by l3VGV
Tue Jan 28, 2020 6:36 pm
Forum: Help on using FreeCAD
Topic: Object has no attribute 'Mass'
Replies: 7
Views: 313

Re: Object has no attribute 'Mass'

Mwahahahah. bug Fixed! JoinAPI.py v = abs(Part.cast_to_shape(sh).Mass) || \/ try: v = abs(Part.cast_to_shape(sh).Mass) except: v=1.0 Its realy a hack, worked for me. But can produce another error "ther is more than one largest piece", whatever that mean.
by l3VGV
Tue Jan 28, 2020 5:56 pm
Forum: Help on using FreeCAD
Topic: Object has no attribute 'Mass'
Replies: 7
Views: 313

Re: Object has no attribute 'Mass'

you should rather create the loft in the same body using the PartDesign AdditiveLoft . Okay, thank you, i will give it a try! My real project is complicated 3d scaned body, im reconstructing it with BSplines. Easy and results are good. All i wanted is to insert a litle detail... For some unknown re...
by l3VGV
Tue Jan 28, 2020 5:59 am
Forum: Help on using FreeCAD
Topic: Object has no attribute 'Mass'
Replies: 7
Views: 313

Re: Object has no attribute 'Mass'

Extrude is made as solid, yes. Loft is not(if i made loft solid then a cannot extrude)

Image


I cannot made loft "thick"(loft made as solid, then thick)

Image


or use 2d/3d offset, FreeCad just stuck in some infinity cpu wasting cicle.
by l3VGV
Tue Jan 28, 2020 5:15 am
Forum: Help on using FreeCAD
Topic: Object has no attribute 'Mass'
Replies: 7
Views: 313

Object has no attribute 'Mass'

OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18.16131 (Git) Build type: Release Branch: releases/FreeCAD-0-18 Hash: 3129ae4296e40ed20e7b3d460b86e6969acbe1c3 Python version: 3.6.6 Qt version: 5.6.2 Coin version: 4.0.0a OCC version: 7.3.0 Locale: Russian/Russia (ru_RU...
by l3VGV
Mon Jan 27, 2020 7:29 pm
Forum: Open discussion
Topic: bug 0.19 export to mesh round edges is low quality
Replies: 6
Views: 184

Re: bug 0.19 export to mesh round edges is low quality

Is it the same if you prepare it in Mesh workbench? If i do "Create mesh from shape" its beter https://i.imgur.com/s7xmM77.png If i export while in mesh WB then it the same, squared, as usual export. In 0.18 i have no problems with usual export. All round objects is very good looking. For default m...
by l3VGV
Mon Jan 27, 2020 6:11 pm
Forum: Open discussion
Topic: bug 0.19 export to mesh round edges is low quality
Replies: 6
Views: 184

bug 0.19 export to mesh round edges is low quality

OS: Windows 10 (10.0) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.19358 (Git) Build type: Release Branch: master Hash: 9e736095187450812e16ff9b92b6839e578f5506 Python version: 3.7.3 Qt version: 5.12.5 Coin version: 4.0.0a OCC version: 7.3.0 Locale: Russian/Russia (ru_RU) Easy ...
by l3VGV
Sat Jan 25, 2020 10:56 pm
Forum: Draft, Arch & BIM
Topic: Draft BSpline - cant sellect point to edit
Replies: 8
Views: 333

Re: Draft BSpline - cant sellect point to edit

Thank you for advice. It seems i have to reevaluate my strategies. I made a surface from B spline(FreeCad 0.19). Then extruded it. And now im trying to combine that body with another one, fuse it togeter. No luck at all this is 2 parts i want to combine https://i.imgur.com/LsAXctJ.png But, non of op...

Go to advanced search